ScanopyScanopy
Services

Get Service by ID

GET
/api/v1/services/{id}

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Path Parameters

id*string

Service ID

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/services/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.14"
  },
  "success": true,
  "data": {
    "bindings": [
      {
        "created_at": "2026-09-15T04:26:40.599235Z",
        "first_discovery_id": null,
        "id": "2a8b32d7-696c-4f00-9d54-03a22c2b05aa",
        "ip_address_id": "550e8400-e29b-41d4-a716-446655440005",
        "last_discovery_id": null,
        "last_seen_at": "2026-09-15T04:26:40.599235Z",
        "lineage_id": null,
        "network_id": "550e8400-e29b-41d4-a716-446655440002",
        "port_id": "550e8400-e29b-41d4-a716-446655440006",
        "service_id": "550e8400-e29b-41d4-a716-446655440007",
        "type": "Port",
        "updated_at": "2026-09-15T04:26:40.599235Z",
        "valid_from": "2026-09-15T04:26:40.599235Z",
        "valid_to": null
      }
    ],
    "created_at": "2026-01-15T10:30:00Z",
    "first_discovery_id": null,
    "host_id": "550e8400-e29b-41d4-a716-446655440003",
    "id": "550e8400-e29b-41d4-a716-446655440007",
    "last_discovery_id": null,
    "last_seen_at": "2026-01-15T10:30:00Z",
    "lineage_id": null,
    "name": "nginx",
    "network_id": "550e8400-e29b-41d4-a716-446655440002",
    "position": 0,
    "service_definition": "Immich",
    "source": {
      "type": "Manual"
    },
    "tags": [],
    "updated_at": "2026-01-15T10:30:00Z",
    "valid_from": "2026-01-15T10:30:00Z",
    "valid_to": null,
    "virtualization_metadata": null,
    "virtualization_service_id": null
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.14"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}